Please help me setup my old printer

i have a old cannon LBP 3300 and it keeps saying no drivers found can someone please guide me how can i add drivers the official site for the orinter says its only for windows any turn arounds on this situation?

There is a well written wiki article for you.

https://discovery.endeavouros.com/printers/printers/2021/03/

thanks i’ll get to it.

idk what this means

error: failed to synchronize all databases (no servers configured for repository)

this error came up

ive gotten through this and added the cups
now the os wont find drivers for my model

personally I always stay away from all that cups stuff.
You have a basic monochrome printer, Your printer needs a driver. Your options:

  1. Get it from Endeavour via the print dialogue add printer box.
  2. If it’s not there select a model close to yours and see if you can fake it.
  1. You can go to https://asia.canon/en/support/0100326401?model=6378A008 and install the driver yourself.
  2. you can read about it at Canon and see if Pacman/YAY has the basic canon postscript driver (canon’s name for it) then install it directly on your endeavour os
  3. a variation of #4 is to see (locally) any Canon packages that may help you.

I’ve been successful (with an old Brother) with all these methods but especially with DIY #3.
It’s Linux. It’s a printer. It’s not supposed to plug and play. It’s supposed to be painful and take hours. Can’t sugarcoat the task. You can do it. And it’s always worth it.
Two Cents

yay -Ss 3300
aur/cnrdrvcups-lb 5.90.1.03-2 (+27 2.11) 
    CUPS Canon UFR II LIPSLX CARPS2 printer driver for LBP iR MF ImageCLASS Image

all the built cups drivers here:

yay -Ss sensys
aur/cnrdrvcups-lb-bin 5.80.04-1 (+4 0.00) 
    CUPS Canon UFR II LIPSLX CARPS2 printer driver for LBP iR MF ImageCLASS ImageRUNNER Laser Shot i-SENSYS ImagePRESS ADVANCE printers and copiers
aur/teku 24.4.0-1 (+1 0.00) 
    ConsenSys Ethereum Beacon Chain Client
aur/canon-cque 4.0.11-1 (+10 0.12) 
    CUPS printer driver for Canon imagePRESS imageRUNNER ADVANCE PRO C iR i-SENSYS FAX LBP MF Laser Shot PC-D copier printers, may require PCL/PXL or PS dealer LMS license
aur/cnrdrvcups-lb 5.90.1.03-2 (+27 2.11) 
    CUPS Canon UFR II LIPSLX CARPS2 printer driver for LBP iR MF ImageCLASS ImageRUNNER Laser Shot i-SENSYS ImagePRESS ADVANCE printers and copiers
aur/cndrvcups-lb-bin 3.70-2 (+30 0.00) 
    CUPS Canon UFR II LT LIPSLX CARPS2 printer driver for imageCLASS D Laser Shot LBP i-SENSYS MF imagePRESS iPR imageRUNNER iR ADVANCE iR-ADV FAX color printers and copiers, does not require PCL/PXL or PS dealer LMS license
aur/cndrvcups-lb 3.70-2 (+79 0.00) 
    CUPS Canon UFR II LIPSLX CARPS2 printer driver for LBP iR MF ImageCLASS ImageRUNNER Laser Shot i-SENSYS ImagePRESS ADVANCE printers and copiers

dont see ppd install yet, still looking which would be my preference. but go that asia link I sent, write down the exact words Canon calls their own driver then chase that with yay. It might be there hiding in plain sight. But these packages I’m showing you might work.

I searched with “3300” then “sensys” then “LBP” and found all that. I still would install the Canon Linux drivers then make Endeavour print dialogue go find them. Lots o’ ways/skin a cat.